<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.PartstatisticsmainMapper">
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Partstatisticsmain">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="DECIMAL" property="id" />
    <result column="RECODEDATE" jdbcType="TIMESTAMP" property="recodedate" />
    <result column="WPID" jdbcType="VARCHAR" property="wpid" />
    <result column="WPNAME" jdbcType="VARCHAR" property="wpname" />
    <result column="WTID" jdbcType="VARCHAR" property="wtid" />
    <result column="WTNAME" jdbcType="VARCHAR" property="wtname" />
    <result column="DAY1FDJ" jdbcType="DECIMAL" property="day1fdj" />
    <result column="DAY1CLX" jdbcType="DECIMAL" property="day1clx" />
    <result column="DAY1ZZ" jdbcType="DECIMAL" property="day1zz" />
    <result column="DAY1BJ" jdbcType="DECIMAL" property="day1bj" />
    <result column="DAY1PH" jdbcType="DECIMAL" property="day1ph" />
    <result column="DAY1JC" jdbcType="DECIMAL" property="day1jc" />
    <result column="DAY1BPQ" jdbcType="DECIMAL" property="day1bpq" />
    <result column="DAY1ZK" jdbcType="DECIMAL" property="day1zk" />
    <result column="DAY3FDJ" jdbcType="DECIMAL" property="day3fdj" />
    <result column="DAY3CLX" jdbcType="DECIMAL" property="day3clx" />
    <result column="DAY3ZZ" jdbcType="DECIMAL" property="day3zz" />
    <result column="DAY3BJ" jdbcType="DECIMAL" property="day3bj" />
    <result column="DAY3PH" jdbcType="DECIMAL" property="day3ph" />
    <result column="DAY3JC" jdbcType="DECIMAL" property="day3jc" />
    <result column="DAY3BPQ" jdbcType="DECIMAL" property="day3bpq" />
    <result column="DAY3ZK" jdbcType="DECIMAL" property="day3zk" />
    <result column="DAY7FDJ" jdbcType="DECIMAL" property="day7fdj" />
    <result column="DAY7CLX" jdbcType="DECIMAL" property="day7clx" />
    <result column="DAY7ZZ" jdbcType="DECIMAL" property="day7zz" />
    <result column="DAY7BJ" jdbcType="DECIMAL" property="day7bj" />
    <result column="DAY7PH" jdbcType="DECIMAL" property="day7ph" />
    <result column="DAY7JC" jdbcType="DECIMAL" property="day7jc" />
    <result column="DAY7BPQ" jdbcType="DECIMAL" property="day7bpq" />
    <result column="DAY7ZK" jdbcType="DECIMAL" property="day7zk" />
    <result column="DAY15FDJ" jdbcType="DECIMAL" property="day15fdj" />
    <result column="DAY15CLX" jdbcType="DECIMAL" property="day15clx" />
    <result column="DAY15ZZ" jdbcType="DECIMAL" property="day15zz" />
    <result column="DAY15BJ" jdbcType="DECIMAL" property="day15bj" />
    <result column="DAY15PH" jdbcType="DECIMAL" property="day15ph" />
    <result column="DAY15JC" jdbcType="DECIMAL" property="day15jc" />
    <result column="DAY15BPQ" jdbcType="DECIMAL" property="day15bpq" />
    <result column="DAY15ZK" jdbcType="DECIMAL" property="day15zk" />
    <result column="MONTH1FDJ" jdbcType="DECIMAL" property="month1fdj" />
    <result column="MONTH1CLX" jdbcType="DECIMAL" property="month1clx" />
    <result column="MONTH1ZZ" jdbcType="DECIMAL" property="month1zz" />
    <result column="MONTH1BJ" jdbcType="DECIMAL" property="month1bj" />
    <result column="MONTH1PH" jdbcType="DECIMAL" property="month1ph" />
    <result column="MONTH1JC" jdbcType="DECIMAL" property="month1jc" />
    <result column="MONTH1BPQ" jdbcType="DECIMAL" property="month1bpq" />
    <result column="MONTH1ZK" jdbcType="DECIMAL" property="month1zk" />
    <result column="DAY1FDJNAME" jdbcType="VARCHAR" property="day1fdjname" />
    <result column="DAY1CLXNAME" jdbcType="VARCHAR" property="day1clxname" />
    <result column="DAY1ZZNAME" jdbcType="VARCHAR" property="day1zzname" />
    <result column="DAY1BJNAME" jdbcType="VARCHAR" property="day1bjname" />
    <result column="DAY1PHNAME" jdbcType="VARCHAR" property="day1phname" />
    <result column="DAY1JCNAME" jdbcType="VARCHAR" property="day1jcname" />
    <result column="DAY1BPQNAME" jdbcType="VARCHAR" property="day1bpqname" />
    <result column="DAY1ZKNAME" jdbcType="VARCHAR" property="day1zkname" />
    <result column="DAY3FDJNAME" jdbcType="VARCHAR" property="day3fdjname" />
    <result column="DAY3CLXNAME" jdbcType="VARCHAR" property="day3clxname" />
    <result column="DAY3ZZNAME" jdbcType="VARCHAR" property="day3zzname" />
    <result column="DAY3BJNAME" jdbcType="VARCHAR" property="day3bjname" />
    <result column="DAY3PHNAME" jdbcType="VARCHAR" property="day3phname" />
    <result column="DAY3JCNAME" jdbcType="VARCHAR" property="day3jcname" />
    <result column="DAY3BPQNAME" jdbcType="VARCHAR" property="day3bpqname" />
    <result column="DAY3ZKNAME" jdbcType="VARCHAR" property="day3zkname" />
    <result column="DAY7FDJNAME" jdbcType="VARCHAR" property="day7fdjname" />
    <result column="DAY7CLXNAME" jdbcType="VARCHAR" property="day7clxname" />
    <result column="DAY7ZZNAME" jdbcType="VARCHAR" property="day7zzname" />
    <result column="DAY7BJNAME" jdbcType="VARCHAR" property="day7bjname" />
    <result column="DAY7PHNAME" jdbcType="VARCHAR" property="day7phname" />
    <result column="DAY7JCNAME" jdbcType="VARCHAR" property="day7jcname" />
    <result column="DAY7BPQNAME" jdbcType="VARCHAR" property="day7bpqname" />
    <result column="DAY7ZKNAME" jdbcType="VARCHAR" property="day7zkname" />
    <result column="DAY15FDJNAME" jdbcType="VARCHAR" property="day15fdjname" />
    <result column="DAY15CLXNAME" jdbcType="VARCHAR" property="day15clxname" />
    <result column="DAY15ZZNAME" jdbcType="VARCHAR" property="day15zzname" />
    <result column="DAY15BJNAME" jdbcType="VARCHAR" property="day15bjname" />
    <result column="DAY15PHNAME" jdbcType="VARCHAR" property="day15phname" />
    <result column="DAY15JCNAME" jdbcType="VARCHAR" property="day15jcname" />
    <result column="DAY15BPQNAME" jdbcType="VARCHAR" property="day15bpqname" />
    <result column="DAY15ZKNAME" jdbcType="VARCHAR" property="day15zkname" />
    <result column="MONTH1FDJNAME" jdbcType="VARCHAR" property="month1fdjname" />
    <result column="MONTH1CLXNAME" jdbcType="VARCHAR" property="month1clxname" />
    <result column="MONTH1ZZNAME" jdbcType="VARCHAR" property="month1zzname" />
    <result column="MONTH1BJNAME" jdbcType="VARCHAR" property="month1bjname" />
    <result column="MONTH1PHNAME" jdbcType="VARCHAR" property="month1phname" />
    <result column="MONTH1JCNAME" jdbcType="VARCHAR" property="month1jcname" />
    <result column="MONTH1BPQNAME" jdbcType="VARCHAR" property="month1bpqname" />
    <result column="MONTH1ZKNAME" jdbcType="VARCHAR" property="month1zkname" />
    <result column="DAY1TOPNUM" jdbcType="DECIMAL" property="day1topnum" />
    <result column="DAY3TOPNUM" jdbcType="DECIMAL" property="day3topnum" />
    <result column="DAY7TOPNUM" jdbcType="DECIMAL" property="day7topnum" />
    <result column="DAY15TOPNUM" jdbcType="DECIMAL" property="day15topnum" />
    <result column="MONTH1TOPNUM" jdbcType="DECIMAL" property="month1topnum" />
    <result column="SYNTHESISTOPNUM" jdbcType="DECIMAL" property="synthesistopnum" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, RECODEDATE, WPID, WPNAME, WTID, WTNAME, DAY1FDJ, DAY1CLX, DAY1ZZ, DAY1BJ, DAY1PH, 
    DAY1JC, DAY1BPQ, DAY1ZK, DAY3FDJ, DAY3CLX, DAY3ZZ, DAY3BJ, DAY3PH, DAY3JC, DAY3BPQ, 
    DAY3ZK, DAY7FDJ, DAY7CLX, DAY7ZZ, DAY7BJ, DAY7PH, DAY7JC, DAY7BPQ, DAY7ZK, DAY15FDJ, 
    DAY15CLX, DAY15ZZ, DAY15BJ, DAY15PH, DAY15JC, DAY15BPQ, DAY15ZK, MONTH1FDJ, MONTH1CLX, 
    MONTH1ZZ, MONTH1BJ, MONTH1PH, MONTH1JC, MONTH1BPQ, MONTH1ZK, DAY1FDJNAME, DAY1CLXNAME, 
    DAY1ZZNAME, DAY1BJNAME, DAY1PHNAME, DAY1JCNAME, DAY1BPQNAME, DAY1ZKNAME, DAY3FDJNAME, 
    DAY3CLXNAME, DAY3ZZNAME, DAY3BJNAME, DAY3PHNAME, DAY3JCNAME, DAY3BPQNAME, DAY3ZKNAME, 
    DAY7FDJNAME, DAY7CLXNAME, DAY7ZZNAME, DAY7BJNAME, DAY7PHNAME, DAY7JCNAME, DAY7BPQNAME, 
    DAY7ZKNAME, DAY15FDJNAME, DAY15CLXNAME, DAY15ZZNAME, DAY15BJNAME, DAY15PHNAME, DAY15JCNAME, 
    DAY15BPQNAME, DAY15ZKNAME, MONTH1FDJNAME, MONTH1CLXNAME, MONTH1ZZNAME, MONTH1BJNAME, 
    MONTH1PHNAME, MONTH1JCNAME, MONTH1BPQNAME, MONTH1ZKNAME, DAY1TOPNUM, DAY3TOPNUM, 
    DAY7TOPNUM, DAY15TOPNUM, MONTH1TOPNUM, SYNTHESISTOPNUM
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.PartstatisticsmainExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from PARTSTATISTICSMAIN
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Short" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from PARTSTATISTICSMAIN
    where ID = #{id,jdbcType=DECIMAL}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Short">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from PARTSTATISTICSMAIN
    where ID = #{id,jdbcType=DECIMAL}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.PartstatisticsmainExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from PARTSTATISTICSMAIN
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Partstatisticsmain">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into PARTSTATISTICSMAIN (ID, RECODEDATE, WPID, 
      WPNAME, WTID, WTNAME, 
      DAY1FDJ, DAY1CLX, DAY1ZZ, 
      DAY1BJ, DAY1PH, DAY1JC, 
      DAY1BPQ, DAY1ZK, DAY3FDJ, 
      DAY3CLX, DAY3ZZ, DAY3BJ, 
      DAY3PH, DAY3JC, DAY3BPQ, 
      DAY3ZK, DAY7FDJ, DAY7CLX, 
      DAY7ZZ, DAY7BJ, DAY7PH, 
      DAY7JC, DAY7BPQ, DAY7ZK, 
      DAY15FDJ, DAY15CLX, DAY15ZZ, 
      DAY15BJ, DAY15PH, DAY15JC, 
      DAY15BPQ, DAY15ZK, MONTH1FDJ, 
      MONTH1CLX, MONTH1ZZ, MONTH1BJ, 
      MONTH1PH, MONTH1JC, MONTH1BPQ, 
      MONTH1ZK, DAY1FDJNAME, DAY1CLXNAME, 
      DAY1ZZNAME, DAY1BJNAME, DAY1PHNAME, 
      DAY1JCNAME, DAY1BPQNAME, DAY1ZKNAME, 
      DAY3FDJNAME, DAY3CLXNAME, DAY3ZZNAME, 
      DAY3BJNAME, DAY3PHNAME, DAY3JCNAME, 
      DAY3BPQNAME, DAY3ZKNAME, DAY7FDJNAME, 
      DAY7CLXNAME, DAY7ZZNAME, DAY7BJNAME, 
      DAY7PHNAME, DAY7JCNAME, DAY7BPQNAME, 
      DAY7ZKNAME, DAY15FDJNAME, DAY15CLXNAME, 
      DAY15ZZNAME, DAY15BJNAME, DAY15PHNAME, 
      DAY15JCNAME, DAY15BPQNAME, DAY15ZKNAME, 
      MONTH1FDJNAME, MONTH1CLXNAME, MONTH1ZZNAME, 
      MONTH1BJNAME, MONTH1PHNAME, MONTH1JCNAME, 
      MONTH1BPQNAME, MONTH1ZKNAME, DAY1TOPNUM, 
      DAY3TOPNUM, DAY7TOPNUM, DAY15TOPNUM, 
      MONTH1TOPNUM, SYNTHESISTOPNUM)
    values (#{id,jdbcType=DECIMAL}, #{recodedate,jdbcType=TIMESTAMP}, #{wpid,jdbcType=VARCHAR}, 
      #{wpname,jdbcType=VARCHAR}, #{wtid,jdbcType=VARCHAR}, #{wtname,jdbcType=VARCHAR}, 
      #{day1fdj,jdbcType=DECIMAL}, #{day1clx,jdbcType=DECIMAL}, #{day1zz,jdbcType=DECIMAL}, 
      #{day1bj,jdbcType=DECIMAL}, #{day1ph,jdbcType=DECIMAL}, #{day1jc,jdbcType=DECIMAL}, 
      #{day1bpq,jdbcType=DECIMAL}, #{day1zk,jdbcType=DECIMAL}, #{day3fdj,jdbcType=DECIMAL}, 
      #{day3clx,jdbcType=DECIMAL}, #{day3zz,jdbcType=DECIMAL}, #{day3bj,jdbcType=DECIMAL}, 
      #{day3ph,jdbcType=DECIMAL}, #{day3jc,jdbcType=DECIMAL}, #{day3bpq,jdbcType=DECIMAL}, 
      #{day3zk,jdbcType=DECIMAL}, #{day7fdj,jdbcType=DECIMAL}, #{day7clx,jdbcType=DECIMAL}, 
      #{day7zz,jdbcType=DECIMAL}, #{day7bj,jdbcType=DECIMAL}, #{day7ph,jdbcType=DECIMAL}, 
      #{day7jc,jdbcType=DECIMAL}, #{day7bpq,jdbcType=DECIMAL}, #{day7zk,jdbcType=DECIMAL}, 
      #{day15fdj,jdbcType=DECIMAL}, #{day15clx,jdbcType=DECIMAL}, #{day15zz,jdbcType=DECIMAL}, 
      #{day15bj,jdbcType=DECIMAL}, #{day15ph,jdbcType=DECIMAL}, #{day15jc,jdbcType=DECIMAL}, 
      #{day15bpq,jdbcType=DECIMAL}, #{day15zk,jdbcType=DECIMAL}, #{month1fdj,jdbcType=DECIMAL}, 
      #{month1clx,jdbcType=DECIMAL}, #{month1zz,jdbcType=DECIMAL}, #{month1bj,jdbcType=DECIMAL}, 
      #{month1ph,jdbcType=DECIMAL}, #{month1jc,jdbcType=DECIMAL}, #{month1bpq,jdbcType=DECIMAL}, 
      #{month1zk,jdbcType=DECIMAL}, #{day1fdjname,jdbcType=VARCHAR}, #{day1clxname,jdbcType=VARCHAR}, 
      #{day1zzname,jdbcType=VARCHAR}, #{day1bjname,jdbcType=VARCHAR}, #{day1phname,jdbcType=VARCHAR}, 
      #{day1jcname,jdbcType=VARCHAR}, #{day1bpqname,jdbcType=VARCHAR}, #{day1zkname,jdbcType=VARCHAR}, 
      #{day3fdjname,jdbcType=VARCHAR}, #{day3clxname,jdbcType=VARCHAR}, #{day3zzname,jdbcType=VARCHAR}, 
      #{day3bjname,jdbcType=VARCHAR}, #{day3phname,jdbcType=VARCHAR}, #{day3jcname,jdbcType=VARCHAR}, 
      #{day3bpqname,jdbcType=VARCHAR}, #{day3zkname,jdbcType=VARCHAR}, #{day7fdjname,jdbcType=VARCHAR}, 
      #{day7clxname,jdbcType=VARCHAR}, #{day7zzname,jdbcType=VARCHAR}, #{day7bjname,jdbcType=VARCHAR}, 
      #{day7phname,jdbcType=VARCHAR}, #{day7jcname,jdbcType=VARCHAR}, #{day7bpqname,jdbcType=VARCHAR}, 
      #{day7zkname,jdbcType=VARCHAR}, #{day15fdjname,jdbcType=VARCHAR}, #{day15clxname,jdbcType=VARCHAR}, 
      #{day15zzname,jdbcType=VARCHAR}, #{day15bjname,jdbcType=VARCHAR}, #{day15phname,jdbcType=VARCHAR}, 
      #{day15jcname,jdbcType=VARCHAR}, #{day15bpqname,jdbcType=VARCHAR}, #{day15zkname,jdbcType=VARCHAR}, 
      #{month1fdjname,jdbcType=VARCHAR}, #{month1clxname,jdbcType=VARCHAR}, #{month1zzname,jdbcType=VARCHAR}, 
      #{month1bjname,jdbcType=VARCHAR}, #{month1phname,jdbcType=VARCHAR}, #{month1jcname,jdbcType=VARCHAR}, 
      #{month1bpqname,jdbcType=VARCHAR}, #{month1zkname,jdbcType=VARCHAR}, #{day1topnum,jdbcType=DECIMAL}, 
      #{day3topnum,jdbcType=DECIMAL}, #{day7topnum,jdbcType=DECIMAL}, #{day15topnum,jdbcType=DECIMAL}, 
      #{month1topnum,jdbcType=DECIMAL}, #{synthesistopnum,jdbcType=DECIMAL})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Partstatisticsmain">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into PARTSTATISTICSMAIN
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="recodedate != null">
        RECODEDATE,
      </if>
      <if test="wpid != null">
        WPID,
      </if>
      <if test="wpname != null">
        WPNAME,
      </if>
      <if test="wtid != null">
        WTID,
      </if>
      <if test="wtname != null">
        WTNAME,
      </if>
      <if test="day1fdj != null">
        DAY1FDJ,
      </if>
      <if test="day1clx != null">
        DAY1CLX,
      </if>
      <if test="day1zz != null">
        DAY1ZZ,
      </if>
      <if test="day1bj != null">
        DAY1BJ,
      </if>
      <if test="day1ph != null">
        DAY1PH,
      </if>
      <if test="day1jc != null">
        DAY1JC,
      </if>
      <if test="day1bpq != null">
        DAY1BPQ,
      </if>
      <if test="day1zk != null">
        DAY1ZK,
      </if>
      <if test="day3fdj != null">
        DAY3FDJ,
      </if>
      <if test="day3clx != null">
        DAY3CLX,
      </if>
      <if test="day3zz != null">
        DAY3ZZ,
      </if>
      <if test="day3bj != null">
        DAY3BJ,
      </if>
      <if test="day3ph != null">
        DAY3PH,
      </if>
      <if test="day3jc != null">
        DAY3JC,
      </if>
      <if test="day3bpq != null">
        DAY3BPQ,
      </if>
      <if test="day3zk != null">
        DAY3ZK,
      </if>
      <if test="day7fdj != null">
        DAY7FDJ,
      </if>
      <if test="day7clx != null">
        DAY7CLX,
      </if>
      <if test="day7zz != null">
        DAY7ZZ,
      </if>
      <if test="day7bj != null">
        DAY7BJ,
      </if>
      <if test="day7ph != null">
        DAY7PH,
      </if>
      <if test="day7jc != null">
        DAY7JC,
      </if>
      <if test="day7bpq != null">
        DAY7BPQ,
      </if>
      <if test="day7zk != null">
        DAY7ZK,
      </if>
      <if test="day15fdj != null">
        DAY15FDJ,
      </if>
      <if test="day15clx != null">
        DAY15CLX,
      </if>
      <if test="day15zz != null">
        DAY15ZZ,
      </if>
      <if test="day15bj != null">
        DAY15BJ,
      </if>
      <if test="day15ph != null">
        DAY15PH,
      </if>
      <if test="day15jc != null">
        DAY15JC,
      </if>
      <if test="day15bpq != null">
        DAY15BPQ,
      </if>
      <if test="day15zk != null">
        DAY15ZK,
      </if>
      <if test="month1fdj != null">
        MONTH1FDJ,
      </if>
      <if test="month1clx != null">
        MONTH1CLX,
      </if>
      <if test="month1zz != null">
        MONTH1ZZ,
      </if>
      <if test="month1bj != null">
        MONTH1BJ,
      </if>
      <if test="month1ph != null">
        MONTH1PH,
      </if>
      <if test="month1jc != null">
        MONTH1JC,
      </if>
      <if test="month1bpq != null">
        MONTH1BPQ,
      </if>
      <if test="month1zk != null">
        MONTH1ZK,
      </if>
      <if test="day1fdjname != null">
        DAY1FDJNAME,
      </if>
      <if test="day1clxname != null">
        DAY1CLXNAME,
      </if>
      <if test="day1zzname != null">
        DAY1ZZNAME,
      </if>
      <if test="day1bjname != null">
        DAY1BJNAME,
      </if>
      <if test="day1phname != null">
        DAY1PHNAME,
      </if>
      <if test="day1jcname != null">
        DAY1JCNAME,
      </if>
      <if test="day1bpqname != null">
        DAY1BPQNAME,
      </if>
      <if test="day1zkname != null">
        DAY1ZKNAME,
      </if>
      <if test="day3fdjname != null">
        DAY3FDJNAME,
      </if>
      <if test="day3clxname != null">
        DAY3CLXNAME,
      </if>
      <if test="day3zzname != null">
        DAY3ZZNAME,
      </if>
      <if test="day3bjname != null">
        DAY3BJNAME,
      </if>
      <if test="day3phname != null">
        DAY3PHNAME,
      </if>
      <if test="day3jcname != null">
        DAY3JCNAME,
      </if>
      <if test="day3bpqname != null">
        DAY3BPQNAME,
      </if>
      <if test="day3zkname != null">
        DAY3ZKNAME,
      </if>
      <if test="day7fdjname != null">
        DAY7FDJNAME,
      </if>
      <if test="day7clxname != null">
        DAY7CLXNAME,
      </if>
      <if test="day7zzname != null">
        DAY7ZZNAME,
      </if>
      <if test="day7bjname != null">
        DAY7BJNAME,
      </if>
      <if test="day7phname != null">
        DAY7PHNAME,
      </if>
      <if test="day7jcname != null">
        DAY7JCNAME,
      </if>
      <if test="day7bpqname != null">
        DAY7BPQNAME,
      </if>
      <if test="day7zkname != null">
        DAY7ZKNAME,
      </if>
      <if test="day15fdjname != null">
        DAY15FDJNAME,
      </if>
      <if test="day15clxname != null">
        DAY15CLXNAME,
      </if>
      <if test="day15zzname != null">
        DAY15ZZNAME,
      </if>
      <if test="day15bjname != null">
        DAY15BJNAME,
      </if>
      <if test="day15phname != null">
        DAY15PHNAME,
      </if>
      <if test="day15jcname != null">
        DAY15JCNAME,
      </if>
      <if test="day15bpqname != null">
        DAY15BPQNAME,
      </if>
      <if test="day15zkname != null">
        DAY15ZKNAME,
      </if>
      <if test="month1fdjname != null">
        MONTH1FDJNAME,
      </if>
      <if test="month1clxname != null">
        MONTH1CLXNAME,
      </if>
      <if test="month1zzname != null">
        MONTH1ZZNAME,
      </if>
      <if test="month1bjname != null">
        MONTH1BJNAME,
      </if>
      <if test="month1phname != null">
        MONTH1PHNAME,
      </if>
      <if test="month1jcname != null">
        MONTH1JCNAME,
      </if>
      <if test="month1bpqname != null">
        MONTH1BPQNAME,
      </if>
      <if test="month1zkname != null">
        MONTH1ZKNAME,
      </if>
      <if test="day1topnum != null">
        DAY1TOPNUM,
      </if>
      <if test="day3topnum != null">
        DAY3TOPNUM,
      </if>
      <if test="day7topnum != null">
        DAY7TOPNUM,
      </if>
      <if test="day15topnum != null">
        DAY15TOPNUM,
      </if>
      <if test="month1topnum != null">
        MONTH1TOPNUM,
      </if>
      <if test="synthesistopnum != null">
        SYNTHESISTOPNUM,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="recodedate != null">
        #{recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="wpid != null">
        #{wpid,jdbcType=VARCHAR},
      </if>
      <if test="wpname != null">
        #{wpname,jdbcType=VARCHAR},
      </if>
      <if test="wtid != null">
        #{wtid,jdbcType=VARCHAR},
      </if>
      <if test="wtname != null">
        #{wtname,jdbcType=VARCHAR},
      </if>
      <if test="day1fdj != null">
        #{day1fdj,jdbcType=DECIMAL},
      </if>
      <if test="day1clx != null">
        #{day1clx,jdbcType=DECIMAL},
      </if>
      <if test="day1zz != null">
        #{day1zz,jdbcType=DECIMAL},
      </if>
      <if test="day1bj != null">
        #{day1bj,jdbcType=DECIMAL},
      </if>
      <if test="day1ph != null">
        #{day1ph,jdbcType=DECIMAL},
      </if>
      <if test="day1jc != null">
        #{day1jc,jdbcType=DECIMAL},
      </if>
      <if test="day1bpq != null">
        #{day1bpq,jdbcType=DECIMAL},
      </if>
      <if test="day1zk != null">
        #{day1zk,jdbcType=DECIMAL},
      </if>
      <if test="day3fdj != null">
        #{day3fdj,jdbcType=DECIMAL},
      </if>
      <if test="day3clx != null">
        #{day3clx,jdbcType=DECIMAL},
      </if>
      <if test="day3zz != null">
        #{day3zz,jdbcType=DECIMAL},
      </if>
      <if test="day3bj != null">
        #{day3bj,jdbcType=DECIMAL},
      </if>
      <if test="day3ph != null">
        #{day3ph,jdbcType=DECIMAL},
      </if>
      <if test="day3jc != null">
        #{day3jc,jdbcType=DECIMAL},
      </if>
      <if test="day3bpq != null">
        #{day3bpq,jdbcType=DECIMAL},
      </if>
      <if test="day3zk != null">
        #{day3zk,jdbcType=DECIMAL},
      </if>
      <if test="day7fdj != null">
        #{day7fdj,jdbcType=DECIMAL},
      </if>
      <if test="day7clx != null">
        #{day7clx,jdbcType=DECIMAL},
      </if>
      <if test="day7zz != null">
        #{day7zz,jdbcType=DECIMAL},
      </if>
      <if test="day7bj != null">
        #{day7bj,jdbcType=DECIMAL},
      </if>
      <if test="day7ph != null">
        #{day7ph,jdbcType=DECIMAL},
      </if>
      <if test="day7jc != null">
        #{day7jc,jdbcType=DECIMAL},
      </if>
      <if test="day7bpq != null">
        #{day7bpq,jdbcType=DECIMAL},
      </if>
      <if test="day7zk != null">
        #{day7zk,jdbcType=DECIMAL},
      </if>
      <if test="day15fdj != null">
        #{day15fdj,jdbcType=DECIMAL},
      </if>
      <if test="day15clx != null">
        #{day15clx,jdbcType=DECIMAL},
      </if>
      <if test="day15zz != null">
        #{day15zz,jdbcType=DECIMAL},
      </if>
      <if test="day15bj != null">
        #{day15bj,jdbcType=DECIMAL},
      </if>
      <if test="day15ph != null">
        #{day15ph,jdbcType=DECIMAL},
      </if>
      <if test="day15jc != null">
        #{day15jc,jdbcType=DECIMAL},
      </if>
      <if test="day15bpq != null">
        #{day15bpq,jdbcType=DECIMAL},
      </if>
      <if test="day15zk != null">
        #{day15zk,jdbcType=DECIMAL},
      </if>
      <if test="month1fdj != null">
        #{month1fdj,jdbcType=DECIMAL},
      </if>
      <if test="month1clx != null">
        #{month1clx,jdbcType=DECIMAL},
      </if>
      <if test="month1zz != null">
        #{month1zz,jdbcType=DECIMAL},
      </if>
      <if test="month1bj != null">
        #{month1bj,jdbcType=DECIMAL},
      </if>
      <if test="month1ph != null">
        #{month1ph,jdbcType=DECIMAL},
      </if>
      <if test="month1jc != null">
        #{month1jc,jdbcType=DECIMAL},
      </if>
      <if test="month1bpq != null">
        #{month1bpq,jdbcType=DECIMAL},
      </if>
      <if test="month1zk != null">
        #{month1zk,jdbcType=DECIMAL},
      </if>
      <if test="day1fdjname != null">
        #{day1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day1clxname != null">
        #{day1clxname,jdbcType=VARCHAR},
      </if>
      <if test="day1zzname != null">
        #{day1zzname,jdbcType=VARCHAR},
      </if>
      <if test="day1bjname != null">
        #{day1bjname,jdbcType=VARCHAR},
      </if>
      <if test="day1phname != null">
        #{day1phname,jdbcType=VARCHAR},
      </if>
      <if test="day1jcname != null">
        #{day1jcname,jdbcType=VARCHAR},
      </if>
      <if test="day1bpqname != null">
        #{day1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day1zkname != null">
        #{day1zkname,jdbcType=VARCHAR},
      </if>
      <if test="day3fdjname != null">
        #{day3fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day3clxname != null">
        #{day3clxname,jdbcType=VARCHAR},
      </if>
      <if test="day3zzname != null">
        #{day3zzname,jdbcType=VARCHAR},
      </if>
      <if test="day3bjname != null">
        #{day3bjname,jdbcType=VARCHAR},
      </if>
      <if test="day3phname != null">
        #{day3phname,jdbcType=VARCHAR},
      </if>
      <if test="day3jcname != null">
        #{day3jcname,jdbcType=VARCHAR},
      </if>
      <if test="day3bpqname != null">
        #{day3bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day3zkname != null">
        #{day3zkname,jdbcType=VARCHAR},
      </if>
      <if test="day7fdjname != null">
        #{day7fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day7clxname != null">
        #{day7clxname,jdbcType=VARCHAR},
      </if>
      <if test="day7zzname != null">
        #{day7zzname,jdbcType=VARCHAR},
      </if>
      <if test="day7bjname != null">
        #{day7bjname,jdbcType=VARCHAR},
      </if>
      <if test="day7phname != null">
        #{day7phname,jdbcType=VARCHAR},
      </if>
      <if test="day7jcname != null">
        #{day7jcname,jdbcType=VARCHAR},
      </if>
      <if test="day7bpqname != null">
        #{day7bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day7zkname != null">
        #{day7zkname,jdbcType=VARCHAR},
      </if>
      <if test="day15fdjname != null">
        #{day15fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day15clxname != null">
        #{day15clxname,jdbcType=VARCHAR},
      </if>
      <if test="day15zzname != null">
        #{day15zzname,jdbcType=VARCHAR},
      </if>
      <if test="day15bjname != null">
        #{day15bjname,jdbcType=VARCHAR},
      </if>
      <if test="day15phname != null">
        #{day15phname,jdbcType=VARCHAR},
      </if>
      <if test="day15jcname != null">
        #{day15jcname,jdbcType=VARCHAR},
      </if>
      <if test="day15bpqname != null">
        #{day15bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day15zkname != null">
        #{day15zkname,jdbcType=VARCHAR},
      </if>
      <if test="month1fdjname != null">
        #{month1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="month1clxname != null">
        #{month1clxname,jdbcType=VARCHAR},
      </if>
      <if test="month1zzname != null">
        #{month1zzname,jdbcType=VARCHAR},
      </if>
      <if test="month1bjname != null">
        #{month1bjname,jdbcType=VARCHAR},
      </if>
      <if test="month1phname != null">
        #{month1phname,jdbcType=VARCHAR},
      </if>
      <if test="month1jcname != null">
        #{month1jcname,jdbcType=VARCHAR},
      </if>
      <if test="month1bpqname != null">
        #{month1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="month1zkname != null">
        #{month1zkname,jdbcType=VARCHAR},
      </if>
      <if test="day1topnum != null">
        #{day1topnum,jdbcType=DECIMAL},
      </if>
      <if test="day3topnum != null">
        #{day3topnum,jdbcType=DECIMAL},
      </if>
      <if test="day7topnum != null">
        #{day7topnum,jdbcType=DECIMAL},
      </if>
      <if test="day15topnum != null">
        #{day15topnum,jdbcType=DECIMAL},
      </if>
      <if test="month1topnum != null">
        #{month1topnum,jdbcType=DECIMAL},
      </if>
      <if test="synthesistopnum != null">
        #{synthesistopnum,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.PartstatisticsmainExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from PARTSTATISTICSMAIN
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update PARTSTATISTICSMAIN
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=DECIMAL},
      </if>
      <if test="record.recodedate != null">
        RECODEDATE = #{record.recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="record.wpid != null">
        WPID = #{record.wpid,jdbcType=VARCHAR},
      </if>
      <if test="record.wpname != null">
        WPNAME = #{record.wpname,jdbcType=VARCHAR},
      </if>
      <if test="record.wtid != null">
        WTID = #{record.wtid,jdbcType=VARCHAR},
      </if>
      <if test="record.wtname != null">
        WTNAME = #{record.wtname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1fdj != null">
        DAY1FDJ = #{record.day1fdj,jdbcType=DECIMAL},
      </if>
      <if test="record.day1clx != null">
        DAY1CLX = #{record.day1clx,jdbcType=DECIMAL},
      </if>
      <if test="record.day1zz != null">
        DAY1ZZ = #{record.day1zz,jdbcType=DECIMAL},
      </if>
      <if test="record.day1bj != null">
        DAY1BJ = #{record.day1bj,jdbcType=DECIMAL},
      </if>
      <if test="record.day1ph != null">
        DAY1PH = #{record.day1ph,jdbcType=DECIMAL},
      </if>
      <if test="record.day1jc != null">
        DAY1JC = #{record.day1jc,jdbcType=DECIMAL},
      </if>
      <if test="record.day1bpq != null">
        DAY1BPQ = #{record.day1bpq,jdbcType=DECIMAL},
      </if>
      <if test="record.day1zk != null">
        DAY1ZK = #{record.day1zk,jdbcType=DECIMAL},
      </if>
      <if test="record.day3fdj != null">
        DAY3FDJ = #{record.day3fdj,jdbcType=DECIMAL},
      </if>
      <if test="record.day3clx != null">
        DAY3CLX = #{record.day3clx,jdbcType=DECIMAL},
      </if>
      <if test="record.day3zz != null">
        DAY3ZZ = #{record.day3zz,jdbcType=DECIMAL},
      </if>
      <if test="record.day3bj != null">
        DAY3BJ = #{record.day3bj,jdbcType=DECIMAL},
      </if>
      <if test="record.day3ph != null">
        DAY3PH = #{record.day3ph,jdbcType=DECIMAL},
      </if>
      <if test="record.day3jc != null">
        DAY3JC = #{record.day3jc,jdbcType=DECIMAL},
      </if>
      <if test="record.day3bpq != null">
        DAY3BPQ = #{record.day3bpq,jdbcType=DECIMAL},
      </if>
      <if test="record.day3zk != null">
        DAY3ZK = #{record.day3zk,jdbcType=DECIMAL},
      </if>
      <if test="record.day7fdj != null">
        DAY7FDJ = #{record.day7fdj,jdbcType=DECIMAL},
      </if>
      <if test="record.day7clx != null">
        DAY7CLX = #{record.day7clx,jdbcType=DECIMAL},
      </if>
      <if test="record.day7zz != null">
        DAY7ZZ = #{record.day7zz,jdbcType=DECIMAL},
      </if>
      <if test="record.day7bj != null">
        DAY7BJ = #{record.day7bj,jdbcType=DECIMAL},
      </if>
      <if test="record.day7ph != null">
        DAY7PH = #{record.day7ph,jdbcType=DECIMAL},
      </if>
      <if test="record.day7jc != null">
        DAY7JC = #{record.day7jc,jdbcType=DECIMAL},
      </if>
      <if test="record.day7bpq != null">
        DAY7BPQ = #{record.day7bpq,jdbcType=DECIMAL},
      </if>
      <if test="record.day7zk != null">
        DAY7ZK = #{record.day7zk,jdbcType=DECIMAL},
      </if>
      <if test="record.day15fdj != null">
        DAY15FDJ = #{record.day15fdj,jdbcType=DECIMAL},
      </if>
      <if test="record.day15clx != null">
        DAY15CLX = #{record.day15clx,jdbcType=DECIMAL},
      </if>
      <if test="record.day15zz != null">
        DAY15ZZ = #{record.day15zz,jdbcType=DECIMAL},
      </if>
      <if test="record.day15bj != null">
        DAY15BJ = #{record.day15bj,jdbcType=DECIMAL},
      </if>
      <if test="record.day15ph != null">
        DAY15PH = #{record.day15ph,jdbcType=DECIMAL},
      </if>
      <if test="record.day15jc != null">
        DAY15JC = #{record.day15jc,jdbcType=DECIMAL},
      </if>
      <if test="record.day15bpq != null">
        DAY15BPQ = #{record.day15bpq,jdbcType=DECIMAL},
      </if>
      <if test="record.day15zk != null">
        DAY15ZK = #{record.day15zk,jdbcType=DECIMAL},
      </if>
      <if test="record.month1fdj != null">
        MONTH1FDJ = #{record.month1fdj,jdbcType=DECIMAL},
      </if>
      <if test="record.month1clx != null">
        MONTH1CLX = #{record.month1clx,jdbcType=DECIMAL},
      </if>
      <if test="record.month1zz != null">
        MONTH1ZZ = #{record.month1zz,jdbcType=DECIMAL},
      </if>
      <if test="record.month1bj != null">
        MONTH1BJ = #{record.month1bj,jdbcType=DECIMAL},
      </if>
      <if test="record.month1ph != null">
        MONTH1PH = #{record.month1ph,jdbcType=DECIMAL},
      </if>
      <if test="record.month1jc != null">
        MONTH1JC = #{record.month1jc,jdbcType=DECIMAL},
      </if>
      <if test="record.month1bpq != null">
        MONTH1BPQ = #{record.month1bpq,jdbcType=DECIMAL},
      </if>
      <if test="record.month1zk != null">
        MONTH1ZK = #{record.month1zk,jdbcType=DECIMAL},
      </if>
      <if test="record.day1fdjname != null">
        DAY1FDJNAME = #{record.day1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1clxname != null">
        DAY1CLXNAME = #{record.day1clxname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1zzname != null">
        DAY1ZZNAME = #{record.day1zzname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1bjname != null">
        DAY1BJNAME = #{record.day1bjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1phname != null">
        DAY1PHNAME = #{record.day1phname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1jcname != null">
        DAY1JCNAME = #{record.day1jcname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1bpqname != null">
        DAY1BPQNAME = #{record.day1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1zkname != null">
        DAY1ZKNAME = #{record.day1zkname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3fdjname != null">
        DAY3FDJNAME = #{record.day3fdjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3clxname != null">
        DAY3CLXNAME = #{record.day3clxname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3zzname != null">
        DAY3ZZNAME = #{record.day3zzname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3bjname != null">
        DAY3BJNAME = #{record.day3bjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3phname != null">
        DAY3PHNAME = #{record.day3phname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3jcname != null">
        DAY3JCNAME = #{record.day3jcname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3bpqname != null">
        DAY3BPQNAME = #{record.day3bpqname,jdbcType=VARCHAR},
      </if>
      <if test="record.day3zkname != null">
        DAY3ZKNAME = #{record.day3zkname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7fdjname != null">
        DAY7FDJNAME = #{record.day7fdjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7clxname != null">
        DAY7CLXNAME = #{record.day7clxname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7zzname != null">
        DAY7ZZNAME = #{record.day7zzname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7bjname != null">
        DAY7BJNAME = #{record.day7bjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7phname != null">
        DAY7PHNAME = #{record.day7phname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7jcname != null">
        DAY7JCNAME = #{record.day7jcname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7bpqname != null">
        DAY7BPQNAME = #{record.day7bpqname,jdbcType=VARCHAR},
      </if>
      <if test="record.day7zkname != null">
        DAY7ZKNAME = #{record.day7zkname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15fdjname != null">
        DAY15FDJNAME = #{record.day15fdjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15clxname != null">
        DAY15CLXNAME = #{record.day15clxname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15zzname != null">
        DAY15ZZNAME = #{record.day15zzname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15bjname != null">
        DAY15BJNAME = #{record.day15bjname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15phname != null">
        DAY15PHNAME = #{record.day15phname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15jcname != null">
        DAY15JCNAME = #{record.day15jcname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15bpqname != null">
        DAY15BPQNAME = #{record.day15bpqname,jdbcType=VARCHAR},
      </if>
      <if test="record.day15zkname != null">
        DAY15ZKNAME = #{record.day15zkname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1fdjname != null">
        MONTH1FDJNAME = #{record.month1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1clxname != null">
        MONTH1CLXNAME = #{record.month1clxname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1zzname != null">
        MONTH1ZZNAME = #{record.month1zzname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1bjname != null">
        MONTH1BJNAME = #{record.month1bjname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1phname != null">
        MONTH1PHNAME = #{record.month1phname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1jcname != null">
        MONTH1JCNAME = #{record.month1jcname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1bpqname != null">
        MONTH1BPQNAME = #{record.month1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="record.month1zkname != null">
        MONTH1ZKNAME = #{record.month1zkname,jdbcType=VARCHAR},
      </if>
      <if test="record.day1topnum != null">
        DAY1TOPNUM = #{record.day1topnum,jdbcType=DECIMAL},
      </if>
      <if test="record.day3topnum != null">
        DAY3TOPNUM = #{record.day3topnum,jdbcType=DECIMAL},
      </if>
      <if test="record.day7topnum != null">
        DAY7TOPNUM = #{record.day7topnum,jdbcType=DECIMAL},
      </if>
      <if test="record.day15topnum != null">
        DAY15TOPNUM = #{record.day15topnum,jdbcType=DECIMAL},
      </if>
      <if test="record.month1topnum != null">
        MONTH1TOPNUM = #{record.month1topnum,jdbcType=DECIMAL},
      </if>
      <if test="record.synthesistopnum != null">
        SYNTHESISTOPNUM = #{record.synthesistopnum,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update PARTSTATISTICSMAIN
    set ID = #{record.id,jdbcType=DECIMAL},
      RECODEDATE = #{record.recodedate,jdbcType=TIMESTAMP},
      WPID = #{record.wpid,jdbcType=VARCHAR},
      WPNAME = #{record.wpname,jdbcType=VARCHAR},
      WTID = #{record.wtid,jdbcType=VARCHAR},
      WTNAME = #{record.wtname,jdbcType=VARCHAR},
      DAY1FDJ = #{record.day1fdj,jdbcType=DECIMAL},
      DAY1CLX = #{record.day1clx,jdbcType=DECIMAL},
      DAY1ZZ = #{record.day1zz,jdbcType=DECIMAL},
      DAY1BJ = #{record.day1bj,jdbcType=DECIMAL},
      DAY1PH = #{record.day1ph,jdbcType=DECIMAL},
      DAY1JC = #{record.day1jc,jdbcType=DECIMAL},
      DAY1BPQ = #{record.day1bpq,jdbcType=DECIMAL},
      DAY1ZK = #{record.day1zk,jdbcType=DECIMAL},
      DAY3FDJ = #{record.day3fdj,jdbcType=DECIMAL},
      DAY3CLX = #{record.day3clx,jdbcType=DECIMAL},
      DAY3ZZ = #{record.day3zz,jdbcType=DECIMAL},
      DAY3BJ = #{record.day3bj,jdbcType=DECIMAL},
      DAY3PH = #{record.day3ph,jdbcType=DECIMAL},
      DAY3JC = #{record.day3jc,jdbcType=DECIMAL},
      DAY3BPQ = #{record.day3bpq,jdbcType=DECIMAL},
      DAY3ZK = #{record.day3zk,jdbcType=DECIMAL},
      DAY7FDJ = #{record.day7fdj,jdbcType=DECIMAL},
      DAY7CLX = #{record.day7clx,jdbcType=DECIMAL},
      DAY7ZZ = #{record.day7zz,jdbcType=DECIMAL},
      DAY7BJ = #{record.day7bj,jdbcType=DECIMAL},
      DAY7PH = #{record.day7ph,jdbcType=DECIMAL},
      DAY7JC = #{record.day7jc,jdbcType=DECIMAL},
      DAY7BPQ = #{record.day7bpq,jdbcType=DECIMAL},
      DAY7ZK = #{record.day7zk,jdbcType=DECIMAL},
      DAY15FDJ = #{record.day15fdj,jdbcType=DECIMAL},
      DAY15CLX = #{record.day15clx,jdbcType=DECIMAL},
      DAY15ZZ = #{record.day15zz,jdbcType=DECIMAL},
      DAY15BJ = #{record.day15bj,jdbcType=DECIMAL},
      DAY15PH = #{record.day15ph,jdbcType=DECIMAL},
      DAY15JC = #{record.day15jc,jdbcType=DECIMAL},
      DAY15BPQ = #{record.day15bpq,jdbcType=DECIMAL},
      DAY15ZK = #{record.day15zk,jdbcType=DECIMAL},
      MONTH1FDJ = #{record.month1fdj,jdbcType=DECIMAL},
      MONTH1CLX = #{record.month1clx,jdbcType=DECIMAL},
      MONTH1ZZ = #{record.month1zz,jdbcType=DECIMAL},
      MONTH1BJ = #{record.month1bj,jdbcType=DECIMAL},
      MONTH1PH = #{record.month1ph,jdbcType=DECIMAL},
      MONTH1JC = #{record.month1jc,jdbcType=DECIMAL},
      MONTH1BPQ = #{record.month1bpq,jdbcType=DECIMAL},
      MONTH1ZK = #{record.month1zk,jdbcType=DECIMAL},
      DAY1FDJNAME = #{record.day1fdjname,jdbcType=VARCHAR},
      DAY1CLXNAME = #{record.day1clxname,jdbcType=VARCHAR},
      DAY1ZZNAME = #{record.day1zzname,jdbcType=VARCHAR},
      DAY1BJNAME = #{record.day1bjname,jdbcType=VARCHAR},
      DAY1PHNAME = #{record.day1phname,jdbcType=VARCHAR},
      DAY1JCNAME = #{record.day1jcname,jdbcType=VARCHAR},
      DAY1BPQNAME = #{record.day1bpqname,jdbcType=VARCHAR},
      DAY1ZKNAME = #{record.day1zkname,jdbcType=VARCHAR},
      DAY3FDJNAME = #{record.day3fdjname,jdbcType=VARCHAR},
      DAY3CLXNAME = #{record.day3clxname,jdbcType=VARCHAR},
      DAY3ZZNAME = #{record.day3zzname,jdbcType=VARCHAR},
      DAY3BJNAME = #{record.day3bjname,jdbcType=VARCHAR},
      DAY3PHNAME = #{record.day3phname,jdbcType=VARCHAR},
      DAY3JCNAME = #{record.day3jcname,jdbcType=VARCHAR},
      DAY3BPQNAME = #{record.day3bpqname,jdbcType=VARCHAR},
      DAY3ZKNAME = #{record.day3zkname,jdbcType=VARCHAR},
      DAY7FDJNAME = #{record.day7fdjname,jdbcType=VARCHAR},
      DAY7CLXNAME = #{record.day7clxname,jdbcType=VARCHAR},
      DAY7ZZNAME = #{record.day7zzname,jdbcType=VARCHAR},
      DAY7BJNAME = #{record.day7bjname,jdbcType=VARCHAR},
      DAY7PHNAME = #{record.day7phname,jdbcType=VARCHAR},
      DAY7JCNAME = #{record.day7jcname,jdbcType=VARCHAR},
      DAY7BPQNAME = #{record.day7bpqname,jdbcType=VARCHAR},
      DAY7ZKNAME = #{record.day7zkname,jdbcType=VARCHAR},
      DAY15FDJNAME = #{record.day15fdjname,jdbcType=VARCHAR},
      DAY15CLXNAME = #{record.day15clxname,jdbcType=VARCHAR},
      DAY15ZZNAME = #{record.day15zzname,jdbcType=VARCHAR},
      DAY15BJNAME = #{record.day15bjname,jdbcType=VARCHAR},
      DAY15PHNAME = #{record.day15phname,jdbcType=VARCHAR},
      DAY15JCNAME = #{record.day15jcname,jdbcType=VARCHAR},
      DAY15BPQNAME = #{record.day15bpqname,jdbcType=VARCHAR},
      DAY15ZKNAME = #{record.day15zkname,jdbcType=VARCHAR},
      MONTH1FDJNAME = #{record.month1fdjname,jdbcType=VARCHAR},
      MONTH1CLXNAME = #{record.month1clxname,jdbcType=VARCHAR},
      MONTH1ZZNAME = #{record.month1zzname,jdbcType=VARCHAR},
      MONTH1BJNAME = #{record.month1bjname,jdbcType=VARCHAR},
      MONTH1PHNAME = #{record.month1phname,jdbcType=VARCHAR},
      MONTH1JCNAME = #{record.month1jcname,jdbcType=VARCHAR},
      MONTH1BPQNAME = #{record.month1bpqname,jdbcType=VARCHAR},
      MONTH1ZKNAME = #{record.month1zkname,jdbcType=VARCHAR},
      DAY1TOPNUM = #{record.day1topnum,jdbcType=DECIMAL},
      DAY3TOPNUM = #{record.day3topnum,jdbcType=DECIMAL},
      DAY7TOPNUM = #{record.day7topnum,jdbcType=DECIMAL},
      DAY15TOPNUM = #{record.day15topnum,jdbcType=DECIMAL},
      MONTH1TOPNUM = #{record.month1topnum,jdbcType=DECIMAL},
      SYNTHESISTOPNUM = #{record.synthesistopnum,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Partstatisticsmain">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update PARTSTATISTICSMAIN
    <set>
      <if test="recodedate != null">
        RECODEDATE = #{recodedate,jdbcType=TIMESTAMP},
      </if>
      <if test="wpid != null">
        WPID = #{wpid,jdbcType=VARCHAR},
      </if>
      <if test="wpname != null">
        WPNAME = #{wpname,jdbcType=VARCHAR},
      </if>
      <if test="wtid != null">
        WTID = #{wtid,jdbcType=VARCHAR},
      </if>
      <if test="wtname != null">
        WTNAME = #{wtname,jdbcType=VARCHAR},
      </if>
      <if test="day1fdj != null">
        DAY1FDJ = #{day1fdj,jdbcType=DECIMAL},
      </if>
      <if test="day1clx != null">
        DAY1CLX = #{day1clx,jdbcType=DECIMAL},
      </if>
      <if test="day1zz != null">
        DAY1ZZ = #{day1zz,jdbcType=DECIMAL},
      </if>
      <if test="day1bj != null">
        DAY1BJ = #{day1bj,jdbcType=DECIMAL},
      </if>
      <if test="day1ph != null">
        DAY1PH = #{day1ph,jdbcType=DECIMAL},
      </if>
      <if test="day1jc != null">
        DAY1JC = #{day1jc,jdbcType=DECIMAL},
      </if>
      <if test="day1bpq != null">
        DAY1BPQ = #{day1bpq,jdbcType=DECIMAL},
      </if>
      <if test="day1zk != null">
        DAY1ZK = #{day1zk,jdbcType=DECIMAL},
      </if>
      <if test="day3fdj != null">
        DAY3FDJ = #{day3fdj,jdbcType=DECIMAL},
      </if>
      <if test="day3clx != null">
        DAY3CLX = #{day3clx,jdbcType=DECIMAL},
      </if>
      <if test="day3zz != null">
        DAY3ZZ = #{day3zz,jdbcType=DECIMAL},
      </if>
      <if test="day3bj != null">
        DAY3BJ = #{day3bj,jdbcType=DECIMAL},
      </if>
      <if test="day3ph != null">
        DAY3PH = #{day3ph,jdbcType=DECIMAL},
      </if>
      <if test="day3jc != null">
        DAY3JC = #{day3jc,jdbcType=DECIMAL},
      </if>
      <if test="day3bpq != null">
        DAY3BPQ = #{day3bpq,jdbcType=DECIMAL},
      </if>
      <if test="day3zk != null">
        DAY3ZK = #{day3zk,jdbcType=DECIMAL},
      </if>
      <if test="day7fdj != null">
        DAY7FDJ = #{day7fdj,jdbcType=DECIMAL},
      </if>
      <if test="day7clx != null">
        DAY7CLX = #{day7clx,jdbcType=DECIMAL},
      </if>
      <if test="day7zz != null">
        DAY7ZZ = #{day7zz,jdbcType=DECIMAL},
      </if>
      <if test="day7bj != null">
        DAY7BJ = #{day7bj,jdbcType=DECIMAL},
      </if>
      <if test="day7ph != null">
        DAY7PH = #{day7ph,jdbcType=DECIMAL},
      </if>
      <if test="day7jc != null">
        DAY7JC = #{day7jc,jdbcType=DECIMAL},
      </if>
      <if test="day7bpq != null">
        DAY7BPQ = #{day7bpq,jdbcType=DECIMAL},
      </if>
      <if test="day7zk != null">
        DAY7ZK = #{day7zk,jdbcType=DECIMAL},
      </if>
      <if test="day15fdj != null">
        DAY15FDJ = #{day15fdj,jdbcType=DECIMAL},
      </if>
      <if test="day15clx != null">
        DAY15CLX = #{day15clx,jdbcType=DECIMAL},
      </if>
      <if test="day15zz != null">
        DAY15ZZ = #{day15zz,jdbcType=DECIMAL},
      </if>
      <if test="day15bj != null">
        DAY15BJ = #{day15bj,jdbcType=DECIMAL},
      </if>
      <if test="day15ph != null">
        DAY15PH = #{day15ph,jdbcType=DECIMAL},
      </if>
      <if test="day15jc != null">
        DAY15JC = #{day15jc,jdbcType=DECIMAL},
      </if>
      <if test="day15bpq != null">
        DAY15BPQ = #{day15bpq,jdbcType=DECIMAL},
      </if>
      <if test="day15zk != null">
        DAY15ZK = #{day15zk,jdbcType=DECIMAL},
      </if>
      <if test="month1fdj != null">
        MONTH1FDJ = #{month1fdj,jdbcType=DECIMAL},
      </if>
      <if test="month1clx != null">
        MONTH1CLX = #{month1clx,jdbcType=DECIMAL},
      </if>
      <if test="month1zz != null">
        MONTH1ZZ = #{month1zz,jdbcType=DECIMAL},
      </if>
      <if test="month1bj != null">
        MONTH1BJ = #{month1bj,jdbcType=DECIMAL},
      </if>
      <if test="month1ph != null">
        MONTH1PH = #{month1ph,jdbcType=DECIMAL},
      </if>
      <if test="month1jc != null">
        MONTH1JC = #{month1jc,jdbcType=DECIMAL},
      </if>
      <if test="month1bpq != null">
        MONTH1BPQ = #{month1bpq,jdbcType=DECIMAL},
      </if>
      <if test="month1zk != null">
        MONTH1ZK = #{month1zk,jdbcType=DECIMAL},
      </if>
      <if test="day1fdjname != null">
        DAY1FDJNAME = #{day1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day1clxname != null">
        DAY1CLXNAME = #{day1clxname,jdbcType=VARCHAR},
      </if>
      <if test="day1zzname != null">
        DAY1ZZNAME = #{day1zzname,jdbcType=VARCHAR},
      </if>
      <if test="day1bjname != null">
        DAY1BJNAME = #{day1bjname,jdbcType=VARCHAR},
      </if>
      <if test="day1phname != null">
        DAY1PHNAME = #{day1phname,jdbcType=VARCHAR},
      </if>
      <if test="day1jcname != null">
        DAY1JCNAME = #{day1jcname,jdbcType=VARCHAR},
      </if>
      <if test="day1bpqname != null">
        DAY1BPQNAME = #{day1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day1zkname != null">
        DAY1ZKNAME = #{day1zkname,jdbcType=VARCHAR},
      </if>
      <if test="day3fdjname != null">
        DAY3FDJNAME = #{day3fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day3clxname != null">
        DAY3CLXNAME = #{day3clxname,jdbcType=VARCHAR},
      </if>
      <if test="day3zzname != null">
        DAY3ZZNAME = #{day3zzname,jdbcType=VARCHAR},
      </if>
      <if test="day3bjname != null">
        DAY3BJNAME = #{day3bjname,jdbcType=VARCHAR},
      </if>
      <if test="day3phname != null">
        DAY3PHNAME = #{day3phname,jdbcType=VARCHAR},
      </if>
      <if test="day3jcname != null">
        DAY3JCNAME = #{day3jcname,jdbcType=VARCHAR},
      </if>
      <if test="day3bpqname != null">
        DAY3BPQNAME = #{day3bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day3zkname != null">
        DAY3ZKNAME = #{day3zkname,jdbcType=VARCHAR},
      </if>
      <if test="day7fdjname != null">
        DAY7FDJNAME = #{day7fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day7clxname != null">
        DAY7CLXNAME = #{day7clxname,jdbcType=VARCHAR},
      </if>
      <if test="day7zzname != null">
        DAY7ZZNAME = #{day7zzname,jdbcType=VARCHAR},
      </if>
      <if test="day7bjname != null">
        DAY7BJNAME = #{day7bjname,jdbcType=VARCHAR},
      </if>
      <if test="day7phname != null">
        DAY7PHNAME = #{day7phname,jdbcType=VARCHAR},
      </if>
      <if test="day7jcname != null">
        DAY7JCNAME = #{day7jcname,jdbcType=VARCHAR},
      </if>
      <if test="day7bpqname != null">
        DAY7BPQNAME = #{day7bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day7zkname != null">
        DAY7ZKNAME = #{day7zkname,jdbcType=VARCHAR},
      </if>
      <if test="day15fdjname != null">
        DAY15FDJNAME = #{day15fdjname,jdbcType=VARCHAR},
      </if>
      <if test="day15clxname != null">
        DAY15CLXNAME = #{day15clxname,jdbcType=VARCHAR},
      </if>
      <if test="day15zzname != null">
        DAY15ZZNAME = #{day15zzname,jdbcType=VARCHAR},
      </if>
      <if test="day15bjname != null">
        DAY15BJNAME = #{day15bjname,jdbcType=VARCHAR},
      </if>
      <if test="day15phname != null">
        DAY15PHNAME = #{day15phname,jdbcType=VARCHAR},
      </if>
      <if test="day15jcname != null">
        DAY15JCNAME = #{day15jcname,jdbcType=VARCHAR},
      </if>
      <if test="day15bpqname != null">
        DAY15BPQNAME = #{day15bpqname,jdbcType=VARCHAR},
      </if>
      <if test="day15zkname != null">
        DAY15ZKNAME = #{day15zkname,jdbcType=VARCHAR},
      </if>
      <if test="month1fdjname != null">
        MONTH1FDJNAME = #{month1fdjname,jdbcType=VARCHAR},
      </if>
      <if test="month1clxname != null">
        MONTH1CLXNAME = #{month1clxname,jdbcType=VARCHAR},
      </if>
      <if test="month1zzname != null">
        MONTH1ZZNAME = #{month1zzname,jdbcType=VARCHAR},
      </if>
      <if test="month1bjname != null">
        MONTH1BJNAME = #{month1bjname,jdbcType=VARCHAR},
      </if>
      <if test="month1phname != null">
        MONTH1PHNAME = #{month1phname,jdbcType=VARCHAR},
      </if>
      <if test="month1jcname != null">
        MONTH1JCNAME = #{month1jcname,jdbcType=VARCHAR},
      </if>
      <if test="month1bpqname != null">
        MONTH1BPQNAME = #{month1bpqname,jdbcType=VARCHAR},
      </if>
      <if test="month1zkname != null">
        MONTH1ZKNAME = #{month1zkname,jdbcType=VARCHAR},
      </if>
      <if test="day1topnum != null">
        DAY1TOPNUM = #{day1topnum,jdbcType=DECIMAL},
      </if>
      <if test="day3topnum != null">
        DAY3TOPNUM = #{day3topnum,jdbcType=DECIMAL},
      </if>
      <if test="day7topnum != null">
        DAY7TOPNUM = #{day7topnum,jdbcType=DECIMAL},
      </if>
      <if test="day15topnum != null">
        DAY15TOPNUM = #{day15topnum,jdbcType=DECIMAL},
      </if>
      <if test="month1topnum != null">
        MONTH1TOPNUM = #{month1topnum,jdbcType=DECIMAL},
      </if>
      <if test="synthesistopnum != null">
        SYNTHESISTOPNUM = #{synthesistopnum,jdbcType=DECIMAL},
      </if>
    </set>
    where ID = #{id,jdbcType=DECIMAL}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Partstatisticsmain">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update PARTSTATISTICSMAIN
    set RECODEDATE = #{recodedate,jdbcType=TIMESTAMP},
      WPID = #{wpid,jdbcType=VARCHAR},
      WPNAME = #{wpname,jdbcType=VARCHAR},
      WTID = #{wtid,jdbcType=VARCHAR},
      WTNAME = #{wtname,jdbcType=VARCHAR},
      DAY1FDJ = #{day1fdj,jdbcType=DECIMAL},
      DAY1CLX = #{day1clx,jdbcType=DECIMAL},
      DAY1ZZ = #{day1zz,jdbcType=DECIMAL},
      DAY1BJ = #{day1bj,jdbcType=DECIMAL},
      DAY1PH = #{day1ph,jdbcType=DECIMAL},
      DAY1JC = #{day1jc,jdbcType=DECIMAL},
      DAY1BPQ = #{day1bpq,jdbcType=DECIMAL},
      DAY1ZK = #{day1zk,jdbcType=DECIMAL},
      DAY3FDJ = #{day3fdj,jdbcType=DECIMAL},
      DAY3CLX = #{day3clx,jdbcType=DECIMAL},
      DAY3ZZ = #{day3zz,jdbcType=DECIMAL},
      DAY3BJ = #{day3bj,jdbcType=DECIMAL},
      DAY3PH = #{day3ph,jdbcType=DECIMAL},
      DAY3JC = #{day3jc,jdbcType=DECIMAL},
      DAY3BPQ = #{day3bpq,jdbcType=DECIMAL},
      DAY3ZK = #{day3zk,jdbcType=DECIMAL},
      DAY7FDJ = #{day7fdj,jdbcType=DECIMAL},
      DAY7CLX = #{day7clx,jdbcType=DECIMAL},
      DAY7ZZ = #{day7zz,jdbcType=DECIMAL},
      DAY7BJ = #{day7bj,jdbcType=DECIMAL},
      DAY7PH = #{day7ph,jdbcType=DECIMAL},
      DAY7JC = #{day7jc,jdbcType=DECIMAL},
      DAY7BPQ = #{day7bpq,jdbcType=DECIMAL},
      DAY7ZK = #{day7zk,jdbcType=DECIMAL},
      DAY15FDJ = #{day15fdj,jdbcType=DECIMAL},
      DAY15CLX = #{day15clx,jdbcType=DECIMAL},
      DAY15ZZ = #{day15zz,jdbcType=DECIMAL},
      DAY15BJ = #{day15bj,jdbcType=DECIMAL},
      DAY15PH = #{day15ph,jdbcType=DECIMAL},
      DAY15JC = #{day15jc,jdbcType=DECIMAL},
      DAY15BPQ = #{day15bpq,jdbcType=DECIMAL},
      DAY15ZK = #{day15zk,jdbcType=DECIMAL},
      MONTH1FDJ = #{month1fdj,jdbcType=DECIMAL},
      MONTH1CLX = #{month1clx,jdbcType=DECIMAL},
      MONTH1ZZ = #{month1zz,jdbcType=DECIMAL},
      MONTH1BJ = #{month1bj,jdbcType=DECIMAL},
      MONTH1PH = #{month1ph,jdbcType=DECIMAL},
      MONTH1JC = #{month1jc,jdbcType=DECIMAL},
      MONTH1BPQ = #{month1bpq,jdbcType=DECIMAL},
      MONTH1ZK = #{month1zk,jdbcType=DECIMAL},
      DAY1FDJNAME = #{day1fdjname,jdbcType=VARCHAR},
      DAY1CLXNAME = #{day1clxname,jdbcType=VARCHAR},
      DAY1ZZNAME = #{day1zzname,jdbcType=VARCHAR},
      DAY1BJNAME = #{day1bjname,jdbcType=VARCHAR},
      DAY1PHNAME = #{day1phname,jdbcType=VARCHAR},
      DAY1JCNAME = #{day1jcname,jdbcType=VARCHAR},
      DAY1BPQNAME = #{day1bpqname,jdbcType=VARCHAR},
      DAY1ZKNAME = #{day1zkname,jdbcType=VARCHAR},
      DAY3FDJNAME = #{day3fdjname,jdbcType=VARCHAR},
      DAY3CLXNAME = #{day3clxname,jdbcType=VARCHAR},
      DAY3ZZNAME = #{day3zzname,jdbcType=VARCHAR},
      DAY3BJNAME = #{day3bjname,jdbcType=VARCHAR},
      DAY3PHNAME = #{day3phname,jdbcType=VARCHAR},
      DAY3JCNAME = #{day3jcname,jdbcType=VARCHAR},
      DAY3BPQNAME = #{day3bpqname,jdbcType=VARCHAR},
      DAY3ZKNAME = #{day3zkname,jdbcType=VARCHAR},
      DAY7FDJNAME = #{day7fdjname,jdbcType=VARCHAR},
      DAY7CLXNAME = #{day7clxname,jdbcType=VARCHAR},
      DAY7ZZNAME = #{day7zzname,jdbcType=VARCHAR},
      DAY7BJNAME = #{day7bjname,jdbcType=VARCHAR},
      DAY7PHNAME = #{day7phname,jdbcType=VARCHAR},
      DAY7JCNAME = #{day7jcname,jdbcType=VARCHAR},
      DAY7BPQNAME = #{day7bpqname,jdbcType=VARCHAR},
      DAY7ZKNAME = #{day7zkname,jdbcType=VARCHAR},
      DAY15FDJNAME = #{day15fdjname,jdbcType=VARCHAR},
      DAY15CLXNAME = #{day15clxname,jdbcType=VARCHAR},
      DAY15ZZNAME = #{day15zzname,jdbcType=VARCHAR},
      DAY15BJNAME = #{day15bjname,jdbcType=VARCHAR},
      DAY15PHNAME = #{day15phname,jdbcType=VARCHAR},
      DAY15JCNAME = #{day15jcname,jdbcType=VARCHAR},
      DAY15BPQNAME = #{day15bpqname,jdbcType=VARCHAR},
      DAY15ZKNAME = #{day15zkname,jdbcType=VARCHAR},
      MONTH1FDJNAME = #{month1fdjname,jdbcType=VARCHAR},
      MONTH1CLXNAME = #{month1clxname,jdbcType=VARCHAR},
      MONTH1ZZNAME = #{month1zzname,jdbcType=VARCHAR},
      MONTH1BJNAME = #{month1bjname,jdbcType=VARCHAR},
      MONTH1PHNAME = #{month1phname,jdbcType=VARCHAR},
      MONTH1JCNAME = #{month1jcname,jdbcType=VARCHAR},
      MONTH1BPQNAME = #{month1bpqname,jdbcType=VARCHAR},
      MONTH1ZKNAME = #{month1zkname,jdbcType=VARCHAR},
      DAY1TOPNUM = #{day1topnum,jdbcType=DECIMAL},
      DAY3TOPNUM = #{day3topnum,jdbcType=DECIMAL},
      DAY7TOPNUM = #{day7topnum,jdbcType=DECIMAL},
      DAY15TOPNUM = #{day15topnum,jdbcType=DECIMAL},
      MONTH1TOPNUM = #{month1topnum,jdbcType=DECIMAL},
      SYNTHESISTOPNUM = #{synthesistopnum,jdbcType=DECIMAL}
    where ID = #{id,jdbcType=DECIMAL}
  </update>
</mapper>